[Desktop Entry]
X-TDE-ServiceTypes=inode/directory,all/all
X-TDE-Submenu=Subversion
#X-TDE-ShowIfDcopCall=kded ksvnd anyValidWorkingCopy(KURL::List)

#Return type of below is a QStringList with a list of Actions which is appended to the Actions above
X-TDE-GetActionMenu=kded ksvnd getActionMenu(KURL::List)

[Desktop Action Add]
Name=Add to Repository
Icon=svn_add
Exec=tdeio_svn_helper -a %U

[Desktop Action Delete]
Name=Delete From Repository
Icon=svn_remove
Exec=tdeio_svn_helper -d %U

[Desktop Action Revert]
Name=Revert Local Changes
Comment=Remove any changes made locally. Warning - this cannot be undone.
Icon=edit-undo
Exec=tdeio_svn_helper -r %U

[Desktop Action Rename]
Name=Rename...
Comment=Rename a file locally and in the repository.  Use this rather than adding and deleting to rename a file.
Icon=pencil
Exec=tdeio_svn_helper -r %U

[Desktop Action Import]
Name=Import Repository
Comment=Put folder into an existing repository to put it under revision control.
Icon=svn_import
Exec=tdeio_svn_helper -i %U

[Desktop Action Checkout]
Name=Checkout From Repository...
Comment=Checkout out files from an existing repository into this folder.
Icon=svn_checkout
Exec=tdeio_svn_helper -C %U

[Desktop Action Switch]
Name=Switch...
Comment=Switch given working copy to another branch
Icon=svn_switch
Exec=tdeio_svn_helper -s %U

[Desktop Action Merge]
Name=Merge...
Comment=Merge changes between this and another branch
Icon=svn_merge
Exec=tdeio_svn_helper -m %U

[Desktop Action Blame]
Name=Blame...
Comment=See who wrote each line of the file and in what revision
Icon=svn_blame
Exec=tdeio_svn_helper -b %U

[Desktop Action CreatePatch]
Name=Create Patch...
Exec=tdeio_svn_helper -p %U

[Desktop Action Export]
Name=Export...
Comment=Checkout out an unversioned copy of a tree from a repository
Icon=svn_export
Exec=tdeio_svn_helper -e %U

[Desktop Action Diff]
Name=Diff (local)
Comment=Show local changes since last update
Icon=svn_diff
Exec=tdeio_svn_helper -D %U
